Imports System.IO

Public Class InitializeOpenDB

    Private Sub btnSelect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelect.Click
        Dim FileDB As New SaveFileDialog()

        FileDB.Filter = "All files | *.* | Word files | *.doc | Text files | *.txt"

        FileDB.FilterIndex = 3

        FileDB.InitialDirectory = "C:\Temp"

        If (FileDB.ShowDialog() = Windows.Forms.DialogResult.OK) Then
            MsgBox("File: " & FileDB.FileName)
        Else
            MsgBox("Cancel")
        End If

    End Sub
End Class
